## com.sun.grizzly
Class SelectorHandlerRunner

    java.lang.Object
      com.sun.grizzly.SelectorHandlerRunner

All Implemented Interfaces:
  Runnable

    public class SelectorHandlerRunner

extends Object
implements Runnable

Class is responsible for processing certain (single) `SelectorHandler`

Author:
  Alexey Stashok

Constructor Summary
`SelectorHandlerRunner(Controller controller, SelectorHandler selectorHandler)`

Method Summary
`SelectorHandler` `getSelectorHandler()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectorHandlerRunner

    public SelectorHandlerRunner(Controller controller,
                                 SelectorHandler selectorHandler)

Method Detail

### getSelectorHandler

    public SelectorHandler getSelectorHandler()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Copyright © 2008 SUN Microsystems. All Rights Reserved.